Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class TopicConnector

    java.lang.Object
      |
      +--org.apache.axis.transport.jms.JMSConnector
            |
            +--org.apache.axis.transport.jms.TopicConnector

public class TopicConnector
extends JMSConnector

TopicConnector is a concrete JMSConnector subclass that specifically handles connections to topics (pub-sub domain).

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com)

Inner classes inherited from class org.apache.axis.transport.jms.JMSConnector
`JMSConnector.AsyncConnection, JMSConnector.SyncConnection`

Fields inherited from class org.apache.axis.transport.jms.JMSConnector
`m_adapter, m_allowReceive, m_connectRetryInterval, m_interactRetryInterval, m_numRetries, m_numSessions, m_poolTimeout, m_receiveConnection, m_sendConnection, m_timeoutTime`

Constructor Summary
`TopicConnector(javax.jms.TopicConnectionFactory factory, int numRetries, int numSessions, long connectRetryInterval, long interactRetryInterval, long timeoutTime, boolean allowReceive, java.lang.String clientID, java.lang.String username, java.lang.String password, JMSVendorAdapter adapter)`

Method Summary
`protected JMSConnector.AsyncConnection` | `createAsyncConnection(javax.jms.ConnectionFactory factory, org.apache.axis.transport.jms.JMSConnector.Connection connection, java.lang.String threadName, java.lang.String clientID, java.lang.String username, java.lang.String password)`
`JMSEndpoint` | `createEndpoint(javax.jms.Destination destination)` Create an endpoint for a queue destination.
`JMSEndpoint` | `createEndpoint(java.lang.String destination)`
`protected JMSConnector.SyncConnection` | `createSyncConnection(javax.jms.ConnectionFactory factory, org.apache.axis.transport.jms.JMSConnector.Connection connection, int numSessions, java.lang.String threadName, java.lang.String clientID, java.lang.String username, java.lang.String password)`
`protected org.apache.axis.transport.jms.JMSConnector.Connection` | `internalConnect(javax.jms.ConnectionFactory connectionFactory, java.lang.String username, java.lang.String password)`

Methods inherited from class org.apache.axis.transport.jms.JMSConnector
`createAsyncConnection, createConnectionWithRetry, createSyncConnection, shutdown, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopicConnector

    public TopicConnector(javax.jms.TopicConnectionFactory factory,
                          int numRetries,
                          int numSessions,
                          long connectRetryInterval,
                          long interactRetryInterval,
                          long timeoutTime,
                          boolean allowReceive,
                          java.lang.String clientID,
                          java.lang.String username,
                          java.lang.String password,
                          JMSVendorAdapter adapter)
                   throws javax.jms.JMSException

Method Detail

### internalConnect

    protected org.apache.axis.transport.jms.JMSConnector.Connection internalConnect(javax.jms.ConnectionFactory connectionFactory,
                                                                                    java.lang.String username,
                                                                                    java.lang.String password)
                                                                             throws javax.jms.JMSException

  Overrides:
    `internalConnect` in class `JMSConnector`

### createSyncConnection

    protected JMSConnector.SyncConnection createSyncConnection(javax.jms.ConnectionFactory factory,
                                                               org.apache.axis.transport.jms.JMSConnector.Connection connection,
                                                               int numSessions,
                                                               java.lang.String threadName,
                                                               java.lang.String clientID,
                                                               java.lang.String username,
                                                               java.lang.String password)
                                                        throws javax.jms.JMSException

### createAsyncConnection

    protected JMSConnector.AsyncConnection createAsyncConnection(javax.jms.ConnectionFactory factory,
                                                                 org.apache.axis.transport.jms.JMSConnector.Connection connection,
                                                                 java.lang.String threadName,
                                                                 java.lang.String clientID,
                                                                 java.lang.String username,
                                                                 java.lang.String password)
                                                          throws javax.jms.JMSException

### createEndpoint

    public JMSEndpoint createEndpoint(java.lang.String destination)

  Overrides:
    `createEndpoint` in class `JMSConnector`

### createEndpoint

    public JMSEndpoint createEndpoint(javax.jms.Destination destination)
                               throws javax.jms.JMSException

  Create an endpoint for a queue destination.
  Overrides:
    `createEndpoint` in class `JMSConnector`
  Parameters:
    `destination` -
  Returns:
  Throws:
    `javax.jms.JMSException` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.